/* HEADER ***********************************************************************/

/* LOCAL FUNCTIONS / INLINES *******************************************************/

FRESULT dir(char* path);
DSTATUS disk_initialize(BYTE pdrv);
DSTATUS disk_status(BYTE pdrv);
DRESULT disk_read (BYTE pdrv, BYTE* buff, DWORD sector, UINT count);
DRESULT disk_write (BYTE pdrv, const BYTE* buff, DWORD sector, UINT count);
DRESULT disk_ioctl (BYTE pdrv, BYTE cmd, void* buff);
DWORD get_fattime(void);
void print_error_code(int result);
void ISR_uart(void);
void enable_interrupt(void);
void toggle_LEDs(void);
void process_uart_data();

int8_t cmd_dir(void);
int8_t cmd_mkd(void);
int8_t cmd_cd(void);
int8_t cmd_get(void);
int8_t cmd_crf(void);
int8_t cmd_del(void);
int8_t cmd_wtf(void);
int8_t cmd_rdf(void);
int8_t cmd_unm(void);
int8_t cmd_help(void);
int8_t cmd_siz(void);
int8_t cmd_rnm(void);
int8_t cmd_fre(void);
int8_t cmd_gel(void);
int8_t cmd_sel(void);
int8_t cmd_tim(void);
int8_t cmd_rtc(void);
int8_t cmd_dfu(void);
int8_t cmd_ver(void);
